# bipbop

[![Gem Version](http://img.shields.io/gem/v/bipbop.svg)][gem]
[![Build Status](http://img.shields.io/travis/rafaelp/bipbop-ruby.svg)][travis]
[![Dependency Status](http://img.shields.io/gemnasium/rafaelp/bipbop-ruby.svg)][gemnasium]
[![Code Climate](http://img.shields.io/codeclimate/github/rafaelp/bipbop-ruby.svg)][codeclimate]
[![Coverage Status](http://img.shields.io/coveralls/rafaelp/bipbop-ruby.svg)][coveralls]

[gem]: https://rubygems.org/gems/bipbop
[travis]: http://travis-ci.org/rafaelp/bipbop-ruby
[gemnasium]: https://gemnasium.com/rafaelp/bipbop-ruby
[codeclimate]: https://codeclimate.com/github/rafaelp/bipbop-ruby
[coveralls]: https://coveralls.io/r/rafaelp/bipbop-ruby

Ruby Wrapper for [bipbop](http://bipbop.com.br)

## INSTALATION

	gem install bipbop

## USAGE

### CPF

```ruby
bipbop = Bipbop.new('my api key')
bipbop.cpfcnpj(documento: '99999999999') # where 99999999999 is the number of one cpf
 => { "nome" => "NAME OF PERSON" }
```

### CNPJ

```ruby
bipbop = Bipbop.new('my api key')
bipbop.cpfcnpj(documento: '99999999000100') # where 99999999000100 is the number of cnpj
 => { "nome" => "NAME OF COMPANY LTDA" }
```

### SOCIAL

```ruby
bipbop = Bipbop.new('my api key')
bipbop.social(documento: '99999999999', email: 'user@example.com')
 => {
                    "name" => "NAME OF PERSON",
                  "gender" => "male"
         "approximate_age" => "30",
                    "hash" => "6CzXsZA09xMgXrHmJHUNY5X0cu7fv5yXwPGVX/i7nVE6awYftn5LpsVvdeoqbuMfBGdKIm0t1F+jrdifMraoyA==",
                "criteria" => "A1",
               "buy_limit" => "10214.87",
                 "buy_avg" => "268.33",
               "influence" => "52",
              "confidence" => "57",
    "confidence_influence" => "56",
     "confidence_criteria" => "59"
}
```

### PERFIL ECONÔMICO

```ruby
bipbop = Bipbop.new('my api key')
bipbop.perfileconomico(documento: '99999999999')
 => {
                    "name" => "NAME OF PERSON",
                  "gender" => "male"
         "approximate_age" => "30",
                    "hash" => "6CzXsZA09xMgXrHmJHUNY5X0cu7fv5yXwPGVX/i7nVE6awYftn5LpsVvdeoqbuMfBGdKIm0t1F+jrdifMraoyA==",
                "criteria" => "A1",
               "buy_limit" => "10214.87",
                 "buy_avg" => "268.33",
}
```


## LICENSE

bipbop is released under the MIT License.

## AUTHOR

### **Rafael Lima**

Working at [Boleto Simples](https://boletosimples.com.br)

Site: [http://rafael.adm.br](http://rafael.adm.br)

Github: [http://github.com/rafaelp](http://github.com/rafaelp)

Twitter: [http://twitter.com/rafaelp](http://twitter.com/rafaelp)

### Did you like?

[Recommend me at Working With Rails](http://workingwithrails.com/recommendation/new/person/14248-rafael-lima)